ePAS Teleworker Role
====================

A role that installs ePAS Teleworker a plugin of electronic Personnel Attendance System. <https://epas.projects.iit.cnr.it>

Role Variables
--------------

The most important variables are listed below:

``` yaml
epas_teleworker_docker_stack_name: 'epas_teleworker_prod'
epas_teleworker_docker_service_server_name: 'epas-teleworker'
epas_teleworker_docker_registry: 'docker-registry.services.iit.cnr.it'
epas_teleworker_docker_server_image: '{{ epas_teleworker_docker_registry }}/epas/telework-stampings:latest'
epas_teleworker_docker_server_build: './'
epas_teleworker_docker_registry_user: 'epas.user'
#epas_teleworker_docker_registry_password: 'use a vault file'
epas_teleworker_docker_network: 'epas_teleworker_net'
epas_teleworker_docker_attachments_node: 'docker-exec2'
epas_teleworker_attachments_node: 'localhost'
epas_teleworker_attachments_volume: 'epas_teleworker_attachments_data'
epas_teleworker_node_constraints: 'node.labels.epas_teleworker_storage == attachments'
epas_teleworker_behind_haproxy: True
epas_teleworker_haproxy_public_net: 'haproxy-public'

# DB
# Set to true if postgresql must be a container too
epas_teleworker_dockerized_db: False
# IMPORTANT. Set it to True for the server that is going to host the DB
epas_teleworker_docker_db_node: False
epas_teleworker_pg_version: '12'
epas_teleworker_db_image: 'postgres:{{ epas_teleworker_pg_version }}-alpine'
# The default hostname is the name of the container service
epas_teleworker_db_host: 'postgres'
epas_teleworker_docker_db_node: 'localhost'
epas_teleworker_db_port: '5432'
epas_teleworker_db_name: 'epas_teleworker_prod_db'
epas_teleworker_db_allowed_hosts:
  - '127.0.0.1'
epas_teleworker_db_user: 'epas_teleworker_prod_user'
#epas_teleworker_db_password: 'set it in a vault file'
epas_teleworker_db_host_auth_method: 'password'
epas_teleworker_db_volume: 'epas_teleworker_prod_pg_data'
epas_teleworker_db_constraints: '[node.labels.epas_teleworker_pg_data==epas_teleworker_db]'
epas_teleworker_pg_data_volume: 'epas_teleworker_db_data'
epas_teleworker_pg_backups_volume: 'epas_teleworker_db_data'
psql_db_data: '{{ epas_teleworker_psql_pg_data }}'
# Environment
epas_teleworker_server_host: 'epasteleworker'
epas_teleworker_server_ports: '8080'
epas_teleworker_server_username: 'app.epas'
#epas_teleworker_server_password: 'set it in a vault file'



```

Dependencies
------------

A docker swarm cluster is required


Author Information
------------------

- **Giancarlo Panichi** ([ORCID](https://orcid.org/0000-0001-8375-6644)) - <giancarlo.panichi@isti.cnr.it>
- **Andrea Dell'Amico** - <andrea.dellamico@isti.cnr.it>

License
-------

This project is licensed under the EUPL V.1.2 License - see the [LICENSE](LICENSE) file for details.